LinuxQuestions.org
Latest LQ Deal: Latest LQ Deals
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Distributions > Slackware
User Name
Password
Slackware This Forum is for the discussion of Slackware Linux.

Notices


Reply
  Search this Thread
Old 08-24-2008, 03:34 PM   #1
__spc__
Member
 
Registered: Feb 2006
Location: Bridgend, Wales
Distribution: Kubuntu 10.04.25 (Feb 2011)
Posts: 172

Rep: Reputation: 30
Logitech Quickcam Messenger under KDE?


Hi,

Under K Menu > System > KInfoCenter > USB, I have my USB camera showing under a UHCI controller, with the following details:

Class 255 (Vendor Specific Class)
Subclass 0
Protocol 0
USB Version 2.00

Vendor ID 0x46d (Logitech, Inc.)
Product ID 0x8f0 (QuickCam Messenger)
Revision 1.00

Speed 12 Mbit/s
Channels 0
Max. Packet Size 0
When I go to Kopete > Settings > Configure > Devices, no camera device shows.

I have downloaded qc-usb-0.6.6, but when I run 'make all', I get the following error:

echo; \
echo " ERROR: Kernel configuration is invalid."; \
echo " include/linux/autoconf.h or include/config/auto.conf are missing."; \
echo " Run 'make oldconfig && make prepare' on kernel src to fix it."; \
echo;
and:

make: *** [quickcam.ko] Error 2

When I do a make oldconfig then make prepare, I still get the errors above?

Can anyone help me with getting a working driver for my webcam installed and running?

Many thanks.
 
Old 08-24-2008, 09:09 PM   #2
nawcom
LQ Newbie
 
Registered: May 2004
Posts: 17

Rep: Reputation: 0
sounds like you don't have the kernel source available for some reason. I'm guessing you are still using 2.6.24.5? if it has issue reading /usr/src/linux-2.6.24.5/include/linux/autoconf.h (the file doesn't exist is the usual cause) then make sure you have the pkg still installed for it.
 
Old 08-25-2008, 02:53 AM   #3
__spc__
Member
 
Registered: Feb 2006
Location: Bridgend, Wales
Distribution: Kubuntu 10.04.25 (Feb 2011)
Posts: 172

Original Poster
Rep: Reputation: 30
Hi, and thanks for reading the post.

The file exists...

bash-3.1# pwd
/usr/src/linux-2.6.24.5/include/linux
bash-3.1# ls -l auto*
-rw-r--r-- 1 root root 2437 2008-04-19 02:53 auto_fs.h
-rw-r--r-- 1 root root 2895 2008-04-19 02:53 auto_fs4.h
-rw-r--r-- 1 root root 35594 2008-08-24 21:17 autoconf.h
bash-3.1#
Any ideas..?
 
Old 08-25-2008, 04:10 AM   #4
tramni1980
Member
 
Registered: Jul 2006
Location: Köln, Germany
Distribution: Slackware64-14.2 & -current, DragonFly BSD, OpenBSD
Posts: 819

Rep: Reputation: 55
Hello!
My camera is exactly the same as yours. See what you must do:
1. download this:
Code:
http://home.mag.cx/messenger/source/qc-usb-messenger-1.8.tar.gz
2. compile the sources:
Code:
make clean
make all
3. blacklist the module loaded by default: just go to /etc/modprobe.d/blacklist and add a line:
Code:
blacklist quickcam_messenger
and then issue:
[CODE]
/sbin/depmod -a
modprobe quickcam
[\CODE]

4. Enjoy!

I also recommend you to reinstall the kernel sources and headers packages, since you have made some changes to the stock ones issuing make oldconfig

If you wish to make a package, you could use my scripts:

2.1. This is qc-usb.SlackBuild:
#!/bin/sh

## Written by Martin Ivanov (Martin.Ivanov_at_meteo.bg)
## Package Homepage: http://home.mag.cx/messenger/source

set -e
PRGNAM=qc-usb-messenger
VERSION=1.8
ARCH=${ARCH:-i686}
BUILD=${BUILD:-1_mai}
CWD=$(pwd)
TMP=${TMP:-/home/marto/build/tmp}
PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/home/marto/build/packages}
KERNEL=${KERNEL:-$(uname -r)}
if [ "$ARCH" = "i486" ]; then
SLKCFLAGS="-O2 -march=i486 -mtune=i686"
elif [ "$ARCH" = "i686" ]; then
SLKCFLAGS="-O2 -march=i686 -mtune=i686"
fi

rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
cd $TMP || exit 1
rm -rf $PRGNAM-$VERSION
tar zxvf $CWD/$PRGNAM-$VERSION.tar.gz || exit 1
cd $PRGNAM-$VERSION || exit 1

make clean || exit 1
make all || exit 1

mkdir -p $PKG/lib/modules/$KERNEL/kernel/drivers/media/video/usbvideo
cp qcmessenger.ko $PKG/lib/modules/$KERNEL/kernel/drivers/media/video/usbvideo

( cd $PKG
find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
)

mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
cp -a APPLICATIONS COPYING CREDITS FAQ QCM README README.qce TODO _CHANGES_MESSENGER _README_MESSENGER $CWD/{$PRGNAM.SlackBuild,slack-desc,doinst.sh} \
$PKG/usr/doc/$PRGNAM-$VERSION

mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc
cat $CWD/doinst.sh > $PKG/install/doinst.sh

cd $PKG
chown -R root:root .
chmod -R u+w,go+r-w,a-s .
find $PKG/usr/doc/$PRGNAM-$VERSION -type f -exec chmod 644 {} \;
/sbin/makepkg -l y -c n -p $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD.tgz

2.2 this is the slack-desc:
# HOW TO EDIT THIS FILE:
# The "handy ruler" below makes it easier to edit a package description. Line
# up the first '|' above the ':' following the base package name, and the '|'
# on the right side marks the last column you can put a character in. You must
# make exactly 11 lines for the formatting to be correct. It's also
# customary to leave one space after the ':'.

|-----handy-ruler------------------------------------------------------|
qc-usb-messenger: qc-usb-messenger (Logitech QuickCam USB Video Camera driver)
qc-usb-messenger:
qc-usb-messenger: This is a linux driver for
qc-usb-messenger: Quickcam Messenger and Quickcam Communicate.
qc-usb-messenger: (Thanks to Mathias Kuster who found a working init-string that
qc-usb-messenger: resulted into frames in bayes-format.)
qc-usb-messenger: The webpage for qc-usb-messenger is:
qc-usb-messenger: http://home.mag.cx/messenger/.
qc-usb-messenger: The latest sources can be downloaded from:
qc-usb-messenger: http://home.mag.cx/messenger/source/
qc-usb-messenger:

2.3 this is the doinst.sh
echo "Updating module dependencies:"
echo "/sbin/depmod -a"
/sbin/depmod -a
echo "Blacklist the quickcam_messenger module, loaded by default by the kernel"
echo "and add a line to /etc/rc.d/rc.modules to load the qcmessenger module."
 
Old 08-25-2008, 02:46 PM   #5
__spc__
Member
 
Registered: Feb 2006
Location: Bridgend, Wales
Distribution: Kubuntu 10.04.25 (Feb 2011)
Posts: 172

Original Poster
Rep: Reputation: 30
Thanks very much for this information.

I got as far as...

bash-3.1# modprobe quickcam
WARNING: Failed to open config file /etc/modprobe.d/modprobe.conf: No such file or directory
FATAL: Module quickcam not found.
Any ideas..?
 
Old 08-26-2008, 02:51 AM   #6
tramni1980
Member
 
Registered: Jul 2006
Location: Köln, Germany
Distribution: Slackware64-14.2 & -current, DragonFly BSD, OpenBSD
Posts: 819

Rep: Reputation: 55
Quote:
Originally Posted by __spc__ View Post
FATAL: Module quickcam not found.
I am very sorry. the correnct name for the module is qcmessenger (it used to be quickcam in the previous versions, that is why I confused it). This is the correct command:

Code:
/sbin/modprobe qcmessenger
 
Old 08-26-2008, 11:55 AM   #7
__spc__
Member
 
Registered: Feb 2006
Location: Bridgend, Wales
Distribution: Kubuntu 10.04.25 (Feb 2011)
Posts: 172

Original Poster
Rep: Reputation: 30
Quote:
Originally Posted by tramni1980 View Post
I am very sorry. the correnct name for the module is qcmessenger (it used to be quickcam in the previous versions, that is why I confused it). This is the correct command:

Code:
/sbin/modprobe qcmessenger
No problem, I should have been paying more attention to the files I was using.

Everything went as you said, however, when I use Kopete to view my camera device, the screen is just green, despite changing any/all settings.

Any idea why?
 
Old 08-26-2008, 12:18 PM   #8
tramni1980
Member
 
Registered: Jul 2006
Location: Köln, Germany
Distribution: Slackware64-14.2 & -current, DragonFly BSD, OpenBSD
Posts: 819

Rep: Reputation: 55
Quote:
Originally Posted by __spc__ View Post
when I use Kopete to view my camera device, the screen is just green, despite changing any/all settings.
Any idea why?
do
Code:
lsmod | grep quickcam
to make sure that the quickcam messenger module is not loaded. Check as well that qcmessenger is really loaded:
Code:
lsmod | grep qcmessenger
If everything is all right, try some other viewer application, e.g. ins ome website that wants a webcam, or camstream, or skype, etc. If the problem still persists, then I will have no idea. I am running Slackware 12.1 and I have the same webcam and it works perfectly on my system.
 
Old 08-26-2008, 01:28 PM   #9
__spc__
Member
 
Registered: Feb 2006
Location: Bridgend, Wales
Distribution: Kubuntu 10.04.25 (Feb 2011)
Posts: 172

Original Poster
Rep: Reputation: 30
Hmmmm....

Code:
bash-3.1# lsmod | grep quickcam
bash-3.1# lsmod | grep qcmessenger
qcmessenger           111432  0
videodev               29824  1 qcmessenger
bash-3.1#
I tried some webcam test WWWs, but still nothing, any ideas..?
 
Old 08-26-2008, 02:54 PM   #10
Road_map
Member
 
Registered: Jan 2007
Distribution: Slackware
Posts: 341

Rep: Reputation: 31
First of all there are 2 models with same ID (0x046d:0x08f0) - see http://www.qbik.ch/usb/devices/searc...kcam+Messenger. Second, you should try another app to test your webcam (aMSN, wxcam, vlc, Ekiga). And third, you should try the gspcav1 driver too - http://www.slackware.com/~alien/slac...cav1/pkg/12.1/ - (your webcam is not supported, but who knows, maybe it works).
 
Old 08-27-2008, 03:34 PM   #11
__spc__
Member
 
Registered: Feb 2006
Location: Bridgend, Wales
Distribution: Kubuntu 10.04.25 (Feb 2011)
Posts: 172

Original Poster
Rep: Reputation: 30
Quote:
Originally Posted by Road_map View Post
First of all there are 2 models with same ID (0x046d:0x08f0) - see http://www.qbik.ch/usb/devices/searc...kcam+Messenger. Second, you should try another app to test your webcam (aMSN, wxcam, vlc, Ekiga). And third, you should try the gspcav1 driver too - http://www.slackware.com/~alien/slac...cav1/pkg/12.1/ - (your webcam is not supported, but who knows, maybe it works).
Thanks - after much searching etc using teh vendor/model nos., it seems both my logitech and Trust webcams have no supported Linux drivers! This seems to be the first failing I've encountered in trying to completely remove the need for having Win XP!
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
Logitech Quickcam Messenger.. help! Cotobear Linux - Hardware 1 01-11-2008 10:25 AM
Logitech QuickCam Messenger install tramni1980 Slackware 7 12-11-2006 03:47 PM
Logitech Quickcam Messenger dudeman41465 Linux - Hardware 0 09-23-2006 07:31 AM
Logitech QuickCam Messenger cootetom SUSE / openSUSE 39 05-20-2006 05:04 AM
Logitech quickcam messenger in mdk10.1 simeandrews Linux - Hardware 10 03-20-2005 08:18 PM

LinuxQuestions.org > Forums > Linux Forums > Linux - Distributions > Slackware

All times are GMT -5. The time now is 03:43 AM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Open Source Consulting | Domain Registration